OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.EXT.PalettedTexture

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the EXT_paletted_texture extension, see http://www.opengl.org/registry/specs/EXT/paletted_texture.txt.

Synopsis

- glColorTable :: GLenum -> GLenum -> GLsizei -> GLenum -> GLenum -> Ptr a -> IO ()
- glColorSubTable :: GLenum -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> IO ()
- glGetColorTable :: GLenum -> GLenum -> GLenum -> Ptr a -> IO ()
- glGetColorTableParameteriv :: GLenum -> GLenum -> Ptr GLint -> IO ()
- glGetColorTableParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()
- gl_COLOR_INDEX1 :: GLenum
- gl_COLOR_INDEX2 :: GLenum
- gl_COLOR_INDEX4 :: GLenum
- gl_COLOR_INDEX8 :: GLenum
- gl_COLOR_INDEX12 :: GLenum
- gl_COLOR_INDEX16 :: GLenum
- gl_COLOR_TABLE_FORMAT :: GLenum
- gl_COLOR_TABLE_WIDTH :: GLenum
- gl_COLOR_TABLE_RED_SIZE :: GLenum
- gl_COLOR_TABLE_GREEN_SIZE :: GLenum
- gl_COLOR_TABLE_BLUE_SIZE :: GLenum
- gl_COLOR_TABLE_ALPHA_SIZE :: GLenum
- gl_COLOR_TABLE_LUMINANCE_SIZE :: GLenum
- gl_COLOR_TABLE_INTENSITY_SIZE :: GLenum
- gl_TEXTURE_INDEX_SIZE :: GLenum
- gl_TEXTURE_1D :: GLenum
- gl_TEXTURE_2D :: GLenum
- gl_TEXTURE_3D :: GLenum
- gl_TEXTURE_CUBE_MAP :: GLenum
- gl_PROXY_TEXTURE_1D :: GLenum
- gl_PROXY_TEXTURE_2D :: GLenum
- gl_PROXY_TEXTURE_3D :: GLenum
- gl_PROXY_TEXTURE_CUBE_MAP :: GLenum

# Functions

glColorTable :: GLenum -> GLenum -> GLsizei -> GLenum -> GLenum -> Ptr a -> IO ()Source

glColorSubTable :: GLenum -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> IO ()Source

glGetColorTable :: GLenum -> GLenum -> GLenum -> Ptr a -> IO ()Source

glGetColorTableParameteriv :: GLenum -> GLenum -> Ptr GLint -> IO ()Source

glGetColorTableParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()Source

# Tokens

gl_COLOR_INDEX1 :: GLenum Source

gl_COLOR_INDEX2 :: GLenum Source

gl_COLOR_INDEX4 :: GLenum Source

gl_COLOR_INDEX8 :: GLenum Source

gl_COLOR_INDEX12 :: GLenum Source

gl_COLOR_INDEX16 :: GLenum Source

gl_COLOR_TABLE_FORMAT :: GLenum Source

gl_COLOR_TABLE_WIDTH :: GLenum Source

gl_COLOR_TABLE_RED_SIZE :: GLenum Source

gl_COLOR_TABLE_GREEN_SIZE :: GLenum Source

gl_COLOR_TABLE_BLUE_SIZE :: GLenum Source

gl_COLOR_TABLE_ALPHA_SIZE :: GLenum Source

gl_COLOR_TABLE_LUMINANCE_SIZE :: GLenum Source

gl_COLOR_TABLE_INTENSITY_SIZE :: GLenum Source

gl_TEXTURE_INDEX_SIZE :: GLenum Source

gl_TEXTURE_1D :: GLenum Source

gl_TEXTURE_2D :: GLenum Source

gl_TEXTURE_3D :: GLenum Source

gl_TEXTURE_CUBE_MAP :: GLenum Source

gl_PROXY_TEXTURE_1D :: GLenum Source

gl_PROXY_TEXTURE_2D :: GLenum Source

gl_PROXY_TEXTURE_3D :: GLenum Source

gl_PROXY_TEXTURE_CUBE_MAP :: GLenum Source